"use strict";
cc._RF.push(module, 'df08fNIE5ZH4pG0nOrw4Mhe', 'BattleTestUI');
// scripts/BattleTestUI.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        bones: cc.Node
    },

    onLoad: function onLoad() {
        this._loading();
    },

    _loading: function _loading() {
        var child = new cc.Node('nodeName');
        child.parent = this.bones;
        var armatureDisplay = child.addComponent(dragonBones.ArmatureDisplay);
        var path = 'dragonbones/01';
        var ske = path + '/barbarian_01_ske';
        var tex = path + '/barbarian_01_tex';

        if (cc.sys.isNative) {
            armatureDisplay._factory.clear(false);
        }

        armatureDisplay._armatureName = null;
        armatureDisplay.dragonAsset = null;
        armatureDisplay.dragonAtlasAsset = null;

        cc.loader.loadRes(tex, dragonBones.DragonBonesAtlasAsset, function (err, atlasasset) {
            armatureDisplay.dragonAtlasAsset = atlasasset;
            cc.loader.loadRes(ske, dragonBones.DragonBonesAsset, function (err, asset) {
                armatureDisplay._armatureName = 'barbarian_01';
                armatureDisplay.dragonAsset = asset;
                armatureDisplay.playAnimation('stand', 0);
            });
        });
    }
});

cc._RF.pop();