(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/scripts/BattleTestUI.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'df08fNIE5ZH4pG0nOrw4Mhe', 'BattleTestUI', __filename);
// scripts/BattleTestUI.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        bones: cc.Node
    },

    onLoad: function onLoad() {
        this._loading();
    },

    _loading: function _loading() {
        var child = new cc.Node('nodeName');
        child.parent = this.bones;
        var armatureDisplay = child.addComponent(dragonBones.ArmatureDisplay);
        var path = 'dragonbones/01';
        var ske = path + '/barbarian_01_ske';
        var tex = path + '/barbarian_01_tex';

        if (cc.sys.isNative) {
            armatureDisplay._factory.clear(false);
        }

        armatureDisplay._armatureName = null;
        armatureDisplay.dragonAsset = null;
        armatureDisplay.dragonAtlasAsset = null;

        cc.loader.loadRes(tex, dragonBones.DragonBonesAtlasAsset, function (err, atlasasset) {
            armatureDisplay.dragonAtlasAsset = atlasasset;
            cc.loader.loadRes(ske, dragonBones.DragonBonesAsset, function (err, asset) {
                armatureDisplay._armatureName = 'barbarian_01';
                armatureDisplay.dragonAsset = asset;
                armatureDisplay.playAnimation('stand', 0);
            });
        });
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=BattleTestUI.js.map
        