

cc.Class({
    extends: cc.Component,

    properties: {
        bones: cc.Node,
    },

    onLoad: function() {
        this._loading();
    },

    _loading: function() {
        let child           = new cc.Node('nodeName');
        child.parent        = this.bones;
        let armatureDisplay = child.addComponent(dragonBones.ArmatureDisplay);
        let path            = 'dragonbones/01';
        let ske             = path + '/barbarian_01_ske';
        let tex             = path + '/barbarian_01_tex';

        if(cc.sys.isNative){
            armatureDisplay._factory.clear(false);
        }
        
        armatureDisplay._armatureName    = null;
        armatureDisplay.dragonAsset      = null;
        armatureDisplay.dragonAtlasAsset = null; 

        cc.loader.loadRes(tex, dragonBones.DragonBonesAtlasAsset, function(err, atlasasset) {
            armatureDisplay.dragonAtlasAsset = atlasasset;
            cc.loader.loadRes(ske, dragonBones.DragonBonesAsset, function(err, asset) {
                armatureDisplay._armatureName = 'barbarian_01';
                armatureDisplay.dragonAsset   = asset;
                armatureDisplay.playAnimation('stand', 0);
            });
        });
    },
});
